# HudRenderEvent

HudRenderEvent is an event that is fired when the GameOverlay for Minecraft is rendered (things like the hotbar, sidebar, etc.)

You can use `deltaTicks` to access the time elapsed since the last tick occurred, which is useful for animations.

```java
@Subscribe
public void onHudRender(HudRenderEvent event) {
    RenderManager.setupAndDraw((vg) -> {
        // draw a rounded rectangle on the screen
        RenderManager.drawRoundedRect(vg, 10, 50, 100, 100, -1, 12f);
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.polyfrost.org/oneconfig/events/available-events/hudrenderevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
